%global momorel 3

Summary: A library for creating MusicBrainz enabled tagging applications 
Name: libtunepimp 
Version: 0.4.1
Release: %{momorel}m
License: LGPL
URL: http://www.musicbrainz.org/products/tunepimp/
Group: System Environment/Libraries
%NoSource 0 ftp://ftp.musicbrainz.org/pub/musicbrainz/%{name}-%{version}.tar.gz bb4c2e49899e6d3e27e7a781ca078cb7
Patch0: %{name}-0.3.0-gcc4.patch

# [Security]
Patch100: %{name}-lookuptools-buffer-overflow.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libmusicbrainz >= 2.1.2
BuildRequires: readline-devel >= 5.0
BuildRequires: libvorbis-devel
BuildRequires: flac-devel
BuildRequires: libmad
BuildRequires: libmusicbrainz-devel >= 2.1.2
BuildRequires: zlib-devel

%description
The TunePimp library is a development library geared towards developers 
who wish to create MusicBrainz enabled tagging applications.

%package devel
Summary: Headers for developing programs that will use libtunepimp 
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers for developing programs that will use libtunepimp.

%prep
%setup -q

%patch0 -p1 -b .gcc4

# security fix
%patch100 -p0 -b .CVE-2006-3600

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README* TODO 
%{_bindir}/tp_tagger
%{_bindir}/trm
%{_libdir}/tunepimp
%{_libdir}/libtunepimp.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tunepimp
%{_libdir}/libtunepimp.a
%{_libdir}/libtunepimp.la
%{_libdir}/libtunepimp.so

%changelog
* Thu Aug  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-3m)
- [SECURITY] CVE-2006-3600
  import libtunepimp-lookuptools-buffer-overflow.diff from opensuse

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4.1-2m)
- rebuild against readline-5.0

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-1m)
- version down to 0.4.1 for stable release
- remove fix-detect-taglib.patch

* Sun May 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-1m)
- version 0.4.2
- add fix-detect-taglib.patch
- BuildRequires: taglib-devel
- remove gcc41.patch

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.3.0-3m)
- rebuild against libmusicbrainz-2.1.2

* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-2m)
- add gc-4.1 patch
-- Patch1: libtunepimp-0.3.0-gcc41.patch

* Tue Nov 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- version down for amarok-1.3.6

* Tue Nov 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- initial package for Momonga Linux
- import libtunepimp-0.3.0-gcc4.patch from Fedora Extras devel
